Bug 590724 - alert notifications are not cascaded when creating/updating group alert definitions / alert templates
alert notifications are not cascaded when creating/updating group alert defin...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: 590575
  Show dependency treegraph
 
Reported: 2010-05-10 10:49 EDT by Joseph Marques
Modified: 2010-08-12 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-05-10 10:49:58 EDT
Description of problem:

alert notifications are not cascaded when creating/updating group alert definitions / alert templates.  in other words, if you create or update a group alert definition or alert template with notifications, then navigate to the affected resources in question, NO notifications will exist on them.

How reproducible:

Every time.

Steps to Reproduce:
1. Create alert template (or group alert definition)
2. Add one of each type of notification (System Users, System Roles, Direct Emails, Resource Operations, SNMP Traps)
3. View the notifications that were cascaded down to the alert definitions on the affected resources
  
Actual results:

No notifications were cascaded down

Expected results:

All 5 notifications should have been cascaded down, with identical data
Comment 1 Joseph Marques 2010-05-12 17:04:14 EDT
commit d4f93b33a55a32f1310b900a0466ab9dff83c0f3

alert notifications C/U/D is now properly cascaded from template and group
levels

* fix manager interface to always require subject as first argument for C/U/D
alert notification
* alert notification C/U/D now occurs outside of a transaction in all scenarios
** notification manager calls into the appropriate template/group/resource
manager to perform the persist work and cascading
* add display of JSF errors to the edit UI page for alert notifications
* add exception handling to all primary forms of C/U/D from the UI
* fix copy/clone logic inside AlertNotification entity and implement .equals()
* fix the copy/clone logic inside of AlertDefinition, which is responsible for
copying/cloning conditions and notifications
* eliminate the needless 'copyIds' parameter in the copy/clone logic (false was
being passed everywhere)
* finally, add new logic in AlertDefinitionManager.updateAlertDefinition
** properly cascade the C/U/D for alert notifications
** make sure to clean-up internal notification data for alert senders that use
custom UIs
Comment 2 Sudhir D 2010-05-18 05:20:53 EDT
The issue seem fixed. However, bz 591485 need to be fixed as it removes the alert template from the platform and everywhere else completely.

I'm marking this as verified.
Comment 3 Corey Welton 2010-08-12 12:46:41 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.